OpenVZ Forum


Home » General » Support » Requires: disp-helper-scripts
Requires: disp-helper-scripts [message #53770] Mon, 21 February 2022 19:49 Go to next message
hm2k is currently offline  hm2k
Messages: 27
Registered: August 2006
Location: UK
Junior Member
I'm getting this

# yum -y localinstall https://download.openvz.org/virtuozzo/releases/openvz-7.0.17-347/x86_64/os/Packages/o/openvz-release-7.0.17-29.vz7.x86_64.rpm
Loaded plugins: fastestmirror
openvz-release-7.0.17-29.vz7.x86_64.rpm                                                                                                                                              |  42 kB  00:00:00     
Examining /var/tmp/yum-root-LMXPhB/openvz-release-7.0.17-29.vz7.x86_64.rpm: openvz-release-7.0.17-29.vz7.x86_64
Marking /var/tmp/yum-root-LMXPhB/openvz-release-7.0.17-29.vz7.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package openvz-release.x86_64 0:7.0.17-29.vz7 will be installed
--> Processing Dependency: disp-helper-scripts for package: openvz-release-7.0.17-29.vz7.x86_64
Loading mirror speeds from cached hostfile
 * base: mirrors.coreix.net
 * extras: uk.mirror.nsec.pt
 * updates: uk.mirrors.clouvider.net
--> Processing Dependency: python-netaddr for package: openvz-release-7.0.17-29.vz7.x86_64
--> Processing Dependency: yum-plugin-priorities for package: openvz-release-7.0.17-29.vz7.x86_64
--> Running transaction check
---> Package openvz-release.x86_64 0:7.0.17-29.vz7 will be installed
--> Processing Dependency: disp-helper-scripts for package: openvz-release-7.0.17-29.vz7.x86_64
---> Package python-netaddr.noarch 0:0.7.5-9.el7 will be installed
---> Package yum-plugin-priorities.noarch 0:1.1.31-54.el7_8 will be installed
--> Finished Dependency Resolution
Error: Package: openvz-release-7.0.17-29.vz7.x86_64 (/openvz-release-7.0.17-29.vz7.x86_64)
           Requires: disp-helper-scripts
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest



The instructions here don't mention this:

* https://wiki.openvz.org/Quick_installation/en#Setup_on_pre-i nstalled_Linux_distribution

Any idea what's going on?
Re: Requires: disp-helper-scripts [message #53771 is a reply to message #53770] Mon, 21 February 2022 20:08 Go to previous message
hm2k is currently offline  hm2k
Messages: 27
Registered: August 2006
Location: UK
Junior Member
Had the same with .16:

# yum -y localinstall https://download.openvz.org/virtuozzo/releases/openvz-7.0.16-552/x86_64/os/Packages/o/openvz-release-7.0.16-7.vz7.x86_64.rpm
Loaded plugins: fastestmirror
openvz-release-7.0.16-7.vz7.x86_64.rpm                                                                                                                                               |  40 kB  00:00:00     
Examining /var/tmp/yum-root-LMXPhB/openvz-release-7.0.16-7.vz7.x86_64.rpm: openvz-release-7.0.16-7.vz7.x86_64
Marking /var/tmp/yum-root-LMXPhB/openvz-release-7.0.16-7.vz7.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package openvz-release.x86_64 0:7.0.16-7.vz7 will be installed
--> Processing Dependency: disp-helper-scripts for package: openvz-release-7.0.16-7.vz7.x86_64
Loading mirror speeds from cached hostfile
 * base: mirror.sov.uk.goscomb.net
 * extras: mirror.sov.uk.goscomb.net
 * updates: mirror.mhd.uk.as44574.net
--> Processing Dependency: python-netaddr for package: openvz-release-7.0.16-7.vz7.x86_64
--> Processing Dependency: yum-plugin-priorities for package: openvz-release-7.0.16-7.vz7.x86_64
--> Running transaction check
---> Package openvz-release.x86_64 0:7.0.16-7.vz7 will be installed
--> Processing Dependency: disp-helper-scripts for package: openvz-release-7.0.16-7.vz7.x86_64
---> Package python-netaddr.noarch 0:0.7.5-9.el7 will be installed
---> Package yum-plugin-priorities.noarch 0:1.1.31-54.el7_8 will be installed
--> Finished Dependency Resolution
Error: Package: openvz-release-7.0.16-7.vz7.x86_64 (/openvz-release-7.0.16-7.vz7.x86_64)
           Requires: disp-helper-scripts
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


.15 worked:

yum -y localinstall https://download.openvz.org/virtuozzo/releases/openvz-7.0.15-628/x86_64/os/Packages/o/openvz-release-7.0.15-4.vz7.x86_64.rpm
Previous Topic: Expose VZLinux 8 as RHEL/Centos - possible?
Next Topic: https://download.openvz.org/ down - Available mirrors?
Goto Forum:
  


Current Time: Sun Nov 27 04:28:52 GMT 2022

Total time taken to generate the page: 0.00947 seconds